Bug 1256130 - SELinux is preventing sh from 'execute' accesses on the file /usr/libexec/pcp/bin/pmcpp.
SELinux is preventing sh from 'execute' accesses on the file /usr/libexec/pcp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:0ef76d43509ee0d974f3c8e000a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 23:13 EDT by Martín Cigorraga
Modified: 2016-07-19 13:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martín Cigorraga 2015-08-23 23:13:51 EDT
Description of problem:
SELinux is preventing sh from 'execute' accesses on the file /usr/libexec/pcp/bin/pmcpp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sh should be allowed execute access on the pmcpp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023
Target Context                system_u:object_r:bin_t:s0
Target Objects                /usr/libexec/pcp/bin/pmcpp [ file ]
Source                        sh
Source Path                   sh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           pcp-3.10.6-1.fc22.x86_64
Policy RPM                    selinux-policy-3.13.1-128.10.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-200.fc22.x86_64 #1 SMP Mon
                              Aug 17 19:54:31 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-24 00:10:12 ART
Last Seen                     2015-08-24 00:10:12 ART
Local ID                      0b133cd1-94c8-43ed-b930-be284ca84656

Raw Audit Messages
type=AVC msg=audit(1440385812.439:3319): avc:  denied  { execute } for  pid=3467 comm="sh" name="pmcpp" dev="dm-1" ino=1498737 scontext=system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file permissive=0


Hash: sh,pcp_pmlogger_t,bin_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-128.10.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 1 Fedora End Of Life 2016-07-19 13:38:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.